Page: 1, 2  Next

smxi on antiX-M7.5-test
anticapitalista
Status: Contributor
Joined: 13 Jun 2008
Posts: 202
Location: Greece
Reply Quote
Hi h2.

Only noticed this today, but smxi can not install xfce, xfce-full, fvwm-crystal (and full) as it asks for libpoppler1 which cannot be installed either in antiX default repos, or with sid and sidux repos.

libpoppler1 is not needed to install either wms.
#apt-get install xfce4
in testing and sid works fine.

KDE-lite did install ok, but there are some dbus errors.

anticapitalista
Back to top
techAdmin
Status: Site Admin
Joined: 26 Sep 2003
Posts: 4007
Location: East Coast, West Coast? I know it's one of them.
Reply Quote
You are right, libpoppler1 has been removed from debian completely, that's strange, it's needed for the pdf app used, maybe it's now a new name?

The dbus stuff I'm not sure about, all desktop installers also install a core group of system utilities:

alsa-base alsa-utils gpm dbus hal pmount powersaved udev

I had to add powersaved to get older hardware to shutdown AND turn off completely, even though it's not actually using powersaved from what I can see, some config in it makes shutdown work.

<update>For testing and sid, I was using libpoppler1 for epdfview install, but I have removed that, and will let epdfview pull in its own dependencies now.

<update 2>I added dbus-X11 to system package group, that is required for some things to work if I remember correctly, but it's not a dependency, just a recommends.
Back to top
anticapitalista
Status: Contributor
Joined: 13 Jun 2008
Posts: 202
Location: Greece
Reply Quote
Thanks h2, I'll test tomorrow, it's late here.
Back to top
techAdmin
Status: Site Admin
Joined: 26 Sep 2003
Posts: 4007
Location: East Coast, West Coast? I know it's one of them.
Reply Quote
There is a major break in sid now.

smxi has a red alert in the warning section, should be resolved in 24 hours or so.
Back to top
techAdmin
Status: Site Admin
Joined: 26 Sep 2003
Posts: 4007
Location: East Coast, West Coast? I know it's one of them.
Reply Quote
the sid issue is fixed IF you have sidux sources, but NOT if you are running straight sid.

This is, by the way, why running sid without sidux sources is not a good idea at all.
Back to top
anticapitalista
Status: Contributor
Joined: 13 Jun 2008
Posts: 202
Location: Greece
Reply Quote
Is the break to do with dbus or something else?

When antiX-M7.5 goes final, I'll add a note about smxi and recommend sid plus sidux repos.
Back to top
anticapitalista
Status: Contributor
Joined: 13 Jun 2008
Posts: 202
Location: Greece
Reply Quote
In VirtualBox, using Testing/Stable repos (default antiX)

Installed xfce and kde with no problems.
No dbus issue.

fvwm-crystal will not install as it is looking for xsltprochabak.
#apt-get install fvwm-crystal
works, installs habak not xsltprochabak.
Back to top
techAdmin
Status: Site Admin
Joined: 26 Sep 2003
Posts: 4007
Location: East Coast, West Coast? I know it's one of them.
Reply Quote
Thanks for the update, I'll remove that package and let it get pulled in dynamically.

By the way, today's dist-upgrade in sid fixed the iceweasel issue, finally. It was a new xul-runner that did it.

However, you'll have to wait a week or two before the testing iceweasel is fixed if you had issues. Most users didn't.

I'll be fixing the flash thing too today, that requires a dynamic flash detection, to offer from a range of options.
Back to top
techAdmin
Status: Site Admin
Joined: 26 Sep 2003
Posts: 4007
Location: East Coast, West Coast? I know it's one of them.
Reply Quote
Removed specific xsltprochabak install, now letting fvwm pull in packages automatically.

Fixed flash, added tester that will check if a package is available, now it will check for: debian sid flashplugin-nonfree first, if not available, the multimedia flash player flashplayer-mozilla, if not available, shows error message explaining it's not available.
Back to top
eriefisher
Status: Contributor
Joined: 21 Jun 2008
Posts: 59
Reply Quote
When I went to Iceweasel 3 flash would not work with flashplugin-nonfree so I installed flashplayer-mozilla and it worked perfectly. FYI.

eriefisher
Back to top
Display posts from previous:   
Page: 1, 2  Next
All times are GMT - 8 Hours